Автор Тема: Некорректное воспроизведение видео  (Прочитано 2129 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн mark-v

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
Выдает вот такую ошибку
 
Если нажать "Отмена", то воспроизведение начинается, но не плавно, а рывками и без звука. Пробовал ставить сторонние плееры из этого списка https://omgubuntu.ru/8-luchshikh-vidieoplieierov-dlia-linux/. Все они воспроизводят звук без видео
 

Оффлайн qupl

Re: Некорректное воспроизведение видео
« Ответ #1 : 05 Ноября 2019, 08:44:25 »
Так чем собственно открываете?
Spoiler: ShowHide
В linux не бывает ничего "стандартного по умолчанию", у всех свои велосипеды.
 
Пользователи, которые поблагодарили этот пост: Gamliel

Оффлайн red_rain

Re: Некорректное воспроизведение видео
« Ответ #2 : 05 Ноября 2019, 10:09:55 »
установка пакетов из сторонних источников может навредить системе: ShowHide
Добавь репозиторий http://www.deb-multimedia.org/
Обновись и установи libfaac libfaad.
Я юзаю консольный mplayer, который сам собираю изисходников.
А если видео идёт рывками и отстаёт звук, его нужно конвертировать под процессор.
Тут ffmpeg в помощ.
Нормальные камни открывают x264, дорогие x265.
На остальных они оба фризят.
« Последнее редактирование: 05 Ноября 2019, 11:07:35 от endru »
 

Оффлайн ferum

Re: Некорректное воспроизведение видео
« Ответ #3 : 05 Ноября 2019, 11:05:28 »
Нормальные камни открывают x264, дорогие x265
В нормальных компьютерах процессоры не участвуют в декодировании видео, это удел видеокарты.
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: Gamliel

Оффлайн red_rain

Re: Некорректное воспроизведение видео
« Ответ #4 : 05 Ноября 2019, 11:18:06 »
удел видеокарты
За основу берётся DRI.
Не везде прикручено или прикручивется vdpau, GL.
По умолчанию все используют xv, X11.
По этому мощный APU, типа AMD A12. Будет производительней, чем атлон или райзен с видео картой.
 

Оффлайн mark-v

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
Re: Некорректное воспроизведение видео
« Ответ #5 : 06 Ноября 2019, 08:06:44 »
Добавь репозиторий http://www.deb-multimedia.org/
Ничего не вышло
E: Репозиторий «http://www.deb-multimedia.org buster InRelease» не подписан.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.
 

Оффлайн ferum

Re: Некорректное воспроизведение видео
« Ответ #6 : 06 Ноября 2019, 09:47:15 »
wget http://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb
sudo dpkg -i deb-multimedia-keyring_2016.8.1_all.deb
/code]
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: mark-v

Оффлайн mark-v

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
Re: Некорректное воспроизведение видео
« Ответ #7 : 07 Ноября 2019, 00:44:37 »
wget http://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb
sudo dpkg -i deb-multimedia-keyring_2016.8.1_all.deb

Обновись и установи libfaac libfaad

Установил. Но проблему это не решило
 

Оффлайн Gamliel

Re: Некорректное воспроизведение видео
« Ответ #8 : 07 Ноября 2019, 04:07:11 »
Попробуйте установить:
sudo apt-get install libxvidcore4
Если это не решит проблему, можете удалить:
sudo apt-get remove libxvidcore4
Когда есть основания полагать, что в названии или описании искомого пакета присутствует подстрока, к примеру, foobar, то при помощи
apt-cache search foobar | lessможно найти некоторое количество всякой всячины, среди которой с немалой вероятностью может оказаться и искомый пакет.

Гамлиэль Фишкин, Linux user since 2009
⮫ Личный     веб-сайт Гамлиэля Фишкина — https://fishk.in/ru/
⮫ Личный гофер-сайт Гамлиэля Фишкина — gopher://eyeblea.ch/1/~gamliel/ru/
 

Оффлайн mark-v

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
Re: Некорректное воспроизведение видео
« Ответ #9 : 07 Ноября 2019, 07:02:02 »
sudo apt-get install libxvidcore4
Уже стоит, как оказалось
$ sudo apt-get install libxvidcore4
[sudo] пароль для user:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлен пакет libxvidcore4 самой новой версии (2:1.3.5-1).
libxvidcore4 помечен как установленный вручную.
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

apt-cache search foobar | less
lxmusic - LXDE music player
man2html - browse man pages in your web browser
node-camelcase - Convert a string to camelCase
node-strict-uri-encode - stricter URI encode adhering to RFC 3986
python-os-apply-config - Creates config files out of cloud metadata
 

Оффлайн Gamliel

Re: Некорректное воспроизведение видео
« Ответ #10 : 07 Ноября 2019, 11:43:47 »
Уже стоит, как оказалось
Тогда
apt list libfaad2и, если в выводе команды не будет слова установлен, то
sudo apt-get install libfaad2
lxmusic...
Вы не заметили, что подстрока foobar приведена для примера? ;D Хорошо, что я привёл для примера подстроку foobar, по которой находятся всего пять пакетов; для example их было бы 1926. :o

Гамлиэль Фишкин, Linux user since 2009
⮫ Личный     веб-сайт Гамлиэля Фишкина — https://fishk.in/ru/
⮫ Личный гофер-сайт Гамлиэля Фишкина — gopher://eyeblea.ch/1/~gamliel/ru/
 

Оффлайн mark-v

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
Re: Некорректное воспроизведение видео
« Ответ #11 : 07 Ноября 2019, 14:17:13 »
apt list libfaad2
sudo apt list libfaad2
[sudo] пароль для user:
Вывод списка… Готово
libfaad2/stable,now 2.8.8-3 amd64 [установлен, автоматически]

Вы не заметили, что подстрока foobar приведена для примера?
Я просто еще глуповат. Учусь только...
 

Оффлайн Gamliel

Re: Некорректное воспроизведение видео
« Ответ #12 : 08 Ноября 2019, 02:16:52 »
sudo apt list libfaad2
В данном случае не требуется использовать sudo. То есть с sudo работает точно так же, как и без, но ради безопасности системы имеет смысл выработать привычку использовать полномочия администратора только тогда, когда они требуются.

libfaad2/stable,now 2.8.8-3 amd64 [установлен, автоматически]
Проверьте:
apt list libavcodec-extraЕсли не указано, что этот пакет установлен, то установите его:
sudo apt-get install libavcodec-extraи проверьте, решена ли проблема. Если не решена, проверьте, не исчезла ли поддержка какого-нибудь другого аудио- или видеоформата; если исчезла, то верните прежнее состояние:
sudo apt-get install libavcodec58(обратите внимание на два «если» жирным шрифтом).

Гамлиэль Фишкин, Linux user since 2009
⮫ Личный     веб-сайт Гамлиэля Фишкина — https://fishk.in/ru/
⮫ Личный гофер-сайт Гамлиэля Фишкина — gopher://eyeblea.ch/1/~gamliel/ru/
 

Оффлайн mark-v

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
Re: Некорректное воспроизведение видео
« Ответ #13 : 08 Ноября 2019, 04:42:31 »
apt list libavcodec-extra
$ apt list libavcodec-extra
Вывод списка… Готово
libavcodec-extra/stable,stable,now 7:4.1.4-1~deb10u1 all [установлен]
и проверьте, решена ли проблема
Не исчезла
 

Оффлайн ecc83

Re: Некорректное воспроизведение видео
« Ответ #14 : 08 Ноября 2019, 07:50:26 »
sudo apt-get update && sudo apt-get upgrade && sudo apt-get install mpv
Попробуй проиграть видео в плеере mpv.
 
Пользователи, которые поблагодарили этот пост: mark-v

Теги: